%define pname chess
%define name emacs-%pname

Name:		%name
Summary: 	A client and library for playing Chess from Emacs.
Version: 	2.0b3
Release: 	2mdk
License:	GPL
Group: 		Editors
Source: 	%{pname}-%{version}.tar.bz2
Url: 		http://www.gci-net.com/users/j/johnw/EmacsChess.html
BuildRequires: 	emacs-bin
BuildArch: noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}

%description
Chess.el does not know how to play chess against you.  While the
library does know all legal moves, there is no "thinking" module.  For
this, you must download one of the publically available chess engines,
such as gnuchess, crafty or phalanx.  You will find all of these
sufficiently challenging, I'm sure.  Once they are installed, chess.el
will use them, provided the locations of the binaries is on your PATH.

%prep 
%setup -n %pname-%version

%build
make clean
%make

%install
rm -fr $RPM_BUILD_ROOT/*
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install	*.el *.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cp chess-auto.el %buildroot%{_sysconfdir}/emacs/site-start.d/%pname-emacs.el
#cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{pname}-emacs.el
#(autoload 'chess-select "chess.el" "Chess Client" t)
#EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog EPD.txt PGN.txt PLAN README TAGS TODO 
%_datadir/emacs/site-lisp/*.el
%_datadir/emacs/site-lisp/*.elc
%_sysconfdir/emacs/site-start.d/%pname-emacs.el

%changelog
* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0b3-2mdk
- rebuild for latest emacs

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0b3-1mdk
- initial mdk package

